Bug 1790328 (python-aiocmd) - Review Request: python-aiocmd - Coroutine-based CLI generator using prompt_toolkit
Summary: Review Request: python-aiocmd - Coroutine-based CLI generator using prompt_to...
Keywords:
Status: CLOSED ERRATA
Alias: python-aiocmd
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-msldap
TreeView+ depends on / blocked
 
Reported: 2020-01-13 06:48 UTC by Fabian Affolter
Modified: 2020-02-08 00:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-02 01:34:13 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-13 06:48:19 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiocmd.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-aiocmd-0.1.2-1.fc31.src.rpm

Project URL: http://github.com/KimiNewt/aiocmd

Description:
Coroutine-based CLI generator using prompt_toolkit, similarly to the built-in
cmd module.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40463586

rpmlint output:
$ rpmlint python-aiocmd-0.1.2-1.fc31.src.rpm 
python-aiocmd.src: W: spelling-error Summary(en_US) Coroutine -> Co routine, Co-routine, Routine
python-aiocmd.src: W: spelling-error %description -l en_US Coroutine -> Co routine, Co-routine, Routine
python-aiocmd.src: W: spelling-error %description -l en_US cmd -> cm, cad, cod
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint python3-aiocmd-0.1.2-1.fc31.noarch.rpm 
python3-aiocmd.noarch: W: spelling-error Summary(en_US) Coroutine -> Co routine, Co-routine, Routine
python3-aiocmd.noarch: W: spelling-error %description -l en_US Coroutine -> Co routine, Co-routine, Routine
python3-aiocmd.noarch: W: spelling-error %description -l en_US cmd -> cm, cad, cod
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-21 20:20:09 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-21 20:45:43 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-aiocmd

Comment 3 Fabian Affolter 2020-01-22 08:06:07 UTC
Thanks for the review.

Comment 4 Fedora Update System 2020-01-24 22:13:41 UTC
python-aiocmd-0.1.2-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f606886f5

Comment 5 Fedora Update System 2020-01-25 08:17:46 UTC
python-aiocmd-0.1.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-44c11a89fd

Comment 6 Fedora Update System 2020-02-02 01:34:13 UTC
python-aiocmd-0.1.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-02-08 00:29:18 UTC
python-aiocmd-0.1.2-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.